<p align="center"><img src="img/itsb.gif" alt="itsb logo" /></p>

<h1 align="center">international transport safety bureau</h1>

A project whose goal is to centralize accident reports and make them easier to access.

## Setup

* Install the following dependencies:
  * [pup](https://github.com/ericchiang/pup): `go get github.com/ericchiang/pup`
  * [jq](https://stedolan.github.io/jq/): `sudo apt install jq`
  * [xmltodict](https://github.com/martinblech/xmltodict): `pip install xmltodict`
  * [xsltproc](http://xmlsoft.org/XSLT/xsltproc.html): `sudo apt install xsltproc`
* Clone this repository
* Add the repo's [`bin`](bin/) directory to your `$PATH`

## Usage

### Manual build

Run [`feedgen.sh`](feedgen.sh) to build the feeds.

### Automated build

You can build the feeds automatically by adding the bash script to CRON.

This is the line I am currently using to build on tilde.town once a day:

```
37 13 * * * nice -n 19 bash -c "PATH=/home/lucidiot/bin:/home/lucidiot/go/bin:$PATH /home/lucidiot/dev/itsb/feedgen.sh -q"
```
