# BFU English feed generator
# Expects pup JSON output holding <tr> tags, outputs xmltodict-compatible JSON
# WARNING: Dates are locale-sensitive; the RSS feed might not generate correctly with another locale.
import "./helpers" as helpers;

{
    "rss": {
        "@version": "2.0",
        "channel": {
            "title": "BFU English",
            "description": "Bundesstelle für Flugunfalluntersuchung",
            "link": "https://www.bfu-web.de/EN/Publications/Investigation%20Report/reports_node.html?cms_gts=238148_list%253DdateOfIssue_dt%252Bdesc",
            "language": "en-DE",
            "pubDate": (now | strftime("%a, %d %b %Y %T %z")),
            "docs": "https://www.rssboard.org/rss-specification",
            "ttl": 1440,
            "generator": "ITSB",
            "item": [.[] | {
                "title": (.children[3].children[0].text + ": " + .children[2].text + ", " + .children[1].text),
                "link": (
                    .children[3].children[0].href
                    | helpers::urlparse
                    # Remove jsessionid path parameter
                    | .params = null
                    | helpers::urlresolve("https://www.bfu-web.de")
                ),
                "pubDate": (.children[0].text | strptime("%Y.%m.%d") | mktime | strftime("%a, %d %b %Y %T %z"))
            }]
        }
    }
}
