#!/bin/bash
[ -z "$DIR" ] && DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
xsltproc "$DIR/xslt/itsb.xsl" "$DIR/itsb.xml" \
	| tee \
		>(xsltproc "$DIR/xslt/opml.xsl" - > "$DIR/feeds.opml") \
		>(xsltproc "$DIR/xslt/html.xsl" - > "$DIR/index.html") \
	| xsltproc "$DIR/xslt/feedgen.xsl" - \
	| DIR="$DIR" bash -s -- "$@"
